Results 1 to 9 of 9

Thread: Problem running Stellarium

  1. #1
    Join Date
    Jun 2008
    Location
    Managua
    Posts
    400

    Default Problem running Stellarium

    I have a problem running Stellarium

    Code:
    eduardo@linux-axcd:~> stellarium
     -------------------------------------------------------
    [ This is Stellarium 0.13.3 - http://www.stellarium.org ]
    [ Copyright (C) 2000-2014 Fabien Chereau et al          ]
     -------------------------------------------------------
    Writing log file to: "/home/eduardo/.stellarium/log.txt"
    File search paths:
      0 .  "/home/eduardo/.stellarium"
      1 .  "/usr/share/stellarium"
    Config file is:  "/home/eduardo/.stellarium/config.ini"
    Cannot mix incompatible Qt library (version 0x50501) with this library (version 0x50500)
    Abortado
    eduardo@linux-axcd:~>
    Is there a way to fix this, I have found similar information on the web but not with these versions.
    Fixing this will affect other applications using qt library?


    Thanks

  2. #2

    Default AW: Problem running Stellarium

    Quote Originally Posted by Easgs View Post
    I have a problem running Stellarium
    And where did you install stellarium from?
    Code:
    rpm -qi stellarium
    Code:
    eduardo@linux-axcd:~> stellarium
     -------------------------------------------------------
    [ This is Stellarium 0.13.3 - http://www.stellarium.org ]
    [ Copyright (C) 2000-2014 Fabien Chereau et al          ]
     -------------------------------------------------------
    Writing log file to: "/home/eduardo/.stellarium/log.txt"
    File search paths:
      0 .  "/home/eduardo/.stellarium"
      1 .  "/usr/share/stellarium"
    Config file is:  "/home/eduardo/.stellarium/config.ini"
    Cannot mix incompatible Qt library (version 0x50501) with this library (version 0x50500)
    Abortado
    eduardo@linux-axcd:~>
    Is your system fully up-to-date?
    This would indicate a mixture of libQt5 packages in different versions (5.5.0 as shipped with Leap 42.1 and 5.5.1 as released as update).
    What does this say?
    Code:
    rpm -qa | grep -i libqt5

  3. #3
    Join Date
    Jun 2008
    Location
    Managua
    Posts
    400

    Default Re: Problem running Stellarium

    Code:
    linux-axcd:/home/eduardo # rpm -qi stellarium
    Name        : stellarium
    Version     : 0.13.3
    Release     : 4.1
    Architecture: x86_64
    Install Date: mar 23 feb 2016 17:24:02 CST
    Group       : Productivity/Scientific/Astronomy
    Size        : 140858139
    License     : GPL-2.0+
    Signature   : RSA/SHA256, mar 13 oct 2015 17:59:33 CST, Key ID b88b2fd43dbdc284
    Source RPM  : stellarium-0.13.3-4.1.src.rpm
    Build Date  : mar 13 oct 2015 17:57:34 CST
    Build Host  : build76
    Relocations : (not relocatable)
    Packager    : http://bugs.opensuse.org
    Vendor      : openSUSE
    URL         : http://stellarium.sourceforge.net
    Summary     : Astronomical Sky Simulator
    Description :
    Stellarium is a free software available for Windows, Linux/Unix and MacOSX.
    It renders 3D photo-realistic skies in real time.. With stellarium, you
    really see what you can see with your eyes, binoculars or a small
    telescope.
    Distribution: openSUSE Leap 42.1

    Code:
    linux-axcd:/home/eduardo # rpm -qa | grep -i libqt5
    libqt5-qtimageformats-5.5.0-1.1.x86_64
    libQt5Concurrent5-5.5.0-2.1.x86_64
    libQt5XmlPatterns5-5.5.0-1.1.x86_64
    libQt5Help5-5.5.0-1.4.x86_64
    libQt5Svg5-5.5.0-1.1.x86_64
    libQt5WebChannel5-5.5.0-1.1.x86_64
    libQt5WebKitWidgets5-5.5.0-1.4.x86_64
    libQt5Sql5-5.5.0-2.1.x86_64
    libQt5PrintSupport5-5.5.0-2.1.x86_64
    libQt5Multimedia5-5.5.0-1.4.x86_64
    libQt5WebKit5-5.5.0-1.4.x86_64
    libqt5-qtbase-platformtheme-gtk2-5.5.0-2.1.x86_64
    libQt5OpenGL5-5.5.0-2.1.x86_64
    libQt5Test5-5.5.0-2.1.x86_64
    libQt5Network5-5.5.0-2.1.x86_64
    libQt5Positioning5-5.5.0-1.4.x86_64
    libqt5-linguist-5.5.0-1.4.x86_64
    libQt5DBus5-5.5.0-2.1.x86_64
    libqt5-qtgraphicaleffects-5.5.0-1.1.x86_64
    libQt5WebKit5-imports-5.5.0-1.4.x86_64
    libQt5Designer5-5.5.0-1.4.x86_64
    libQt5Sensors5-5.5.0-1.1.x86_64
    libQt5Declarative5-5.5.1-3.2.x86_64
    libQt5DesignerComponents5-5.5.0-1.4.x86_64
    libQt5Widgets5-5.5.0-2.1.x86_64
    libQt5Core5-5.5.0-2.1.x86_64
    libQt5Script5-5.5.0-1.4.x86_64
    libQt5CLucene5-5.5.0-1.4.x86_64
    libQt5Sql5-sqlite-5.5.0-2.1.x86_64
    libQt5Sensors5-imports-5.5.0-1.1.x86_64
    libqt5-qttools-5.5.0-1.4.x86_64
    libqt5-qtquickcontrols-5.5.0-1.1.x86_64
    libQt5WebChannel5-imports-5.5.0-1.1.x86_64
    libQt5Xml5-5.5.0-2.1.x86_64
    libQt5X11Extras5-5.5.0-1.2.x86_64
    libQt5Gui5-5.5.0-2.1.x86_64
    linux-axcd:/home/eduardo #
    The system is not fully up to date, I usually don't update the system because as long as the applications I use work fine there is no need to, and I remember one time that I did an update and then I wasn't able to burn CD/DVD.

  4. #4

    Default Re: Problem running Stellarium

    Quote Originally Posted by Easgs View Post
    Code:
    linux-axcd:/home/eduardo # rpm -qi stellarium
    Name        : stellarium
    Version     : 0.13.3
    Release     : 4.1
    Architecture: x86_64
    Install Date: mar 23 feb 2016 17:24:02 CST
    Group       : Productivity/Scientific/Astronomy
    Size        : 140858139
    License     : GPL-2.0+
    Signature   : RSA/SHA256, mar 13 oct 2015 17:59:33 CST, Key ID b88b2fd43dbdc284
    Source RPM  : stellarium-0.13.3-4.1.src.rpm
    Build Date  : mar 13 oct 2015 17:57:34 CST
    Build Host  : build76
    Relocations : (not relocatable)
    Packager    : http://bugs.opensuse.org
    Vendor      : openSUSE
    URL         : http://stellarium.sourceforge.net
    Summary     : Astronomical Sky Simulator
    Description :
    Stellarium is a free software available for Windows, Linux/Unix and MacOSX.
    It renders 3D photo-realistic skies in real time.. With stellarium, you
    really see what you can see with your eyes, binoculars or a small
    telescope.
    Distribution: openSUSE Leap 42.1
    Ok, seems to be the version from the standard repos.

    The system is not fully up to date, I usually don't update the system because as long as the applications I use work fine there is no need to, and I remember one time that I did an update and then I wasn't able to burn CD/DVD.
    You should. Updates fix bugs and (often severe) security problems.

    I only see 5.5.0 packages in your list, but something (that stellarium uses) seems to require 5.5.1.
    So update your system and it will (hopefully) work.
    Either use your Desktop's update applet, YaST->Online Update, or "zypper patch".

  5. #5
    Join Date
    Jun 2008
    Location
    Managua
    Posts
    400

    Default Re: Problem running Stellarium

    I updated libqt it opens but I am getting this new error

    Code:
    This is not enough: we need GLSL1.30 or later.
    You should update graphics drivers, graphics hardware, or use the MESA version.
    Else, please try to use an older version like 0.12.4, and try there with --safe-mode
    Config option main/ignore_opengl_warning found, continuing. Expect problems.
    I found some info about it at http://forums.fedoraforum.org/showthread.php?t=303242

  6. #6
    Join Date
    Jun 2008
    Location
    Managua
    Posts
    400

    Default Re: Problem running Stellarium

    I installed version stellarium-0.12.4-2.4.1.x86_64 for opensuse 13.1 from the repo http://download.opensuse.org/reposit...4.1.x86_64.rpm and it worked fine.

  7. #7
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,059
    Blog Entries
    14

    Default Re: Problem running Stellarium

    Quote Originally Posted by Easgs View Post
    I installed version stellarium-0.12.4-2.4.1.x86_64 for opensuse 13.1 from the repo http://download.opensuse.org/reposit...4.1.x86_64.rpm and it worked fine.
    If this is how you deal with repos, you inflicted the conflict yourself. Do not, repeat do not add repos for one openSUSE version to another openSUSE version.
    I now suspect you're running a mix of packages from various repos, causing behaviour I don't see on Leap, nor Tumbleweed.
    Please post output of
    Code:
    zypper lr -d
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  8. #8
    Join Date
    Jun 2008
    Location
    Managua
    Posts
    400

    Default Re: Problem running Stellarium

    The only package installed was the stellarium-0.12.4-2.4.1.x86_64, I know this because I checked the keep downloaded packages option to see how many packages were needed and this was the only one that was downloaded from the 13.1 repo, I am aware of the problems raising from mixing packages from different repos, I fact, was updating the system that crashed the system, (I have had always problems updating the system) so I had to reinstall everything from zero again, this is the only solution working for stellarium that I found, without running the risk to crash the system.

    However I also don't recommend mixing packages from diferent version without making some test in a virtualized enviroment as I do.

    The other repos I have enabled are the officials oss, update and packman

  9. #9
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,898
    Blog Entries
    3

    Default Re: Problem running Stellarium

    I have stellarium-0.13.3-4.1 installed on one system (from the opensuse repos), and it seems to be running well.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •